public interface HealthAggregationPolicyOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getCreationTimestamp()
public abstract String getCreationTimestamp()Output only. [Output Only] Creation timestamp inRFC3339 text format.
optional string creation_timestamp = 30525366;
| Returns | |
|---|---|
| Type | Description |
String |
The creationTimestamp. |
getCreationTimestampBytes()
public abstract ByteString getCreationTimestampBytes()Output only. [Output Only] Creation timestamp inRFC3339 text format.
optional string creation_timestamp = 30525366;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for creationTimestamp. |
getDescription()
public abstract String getDescription()An optional description of this resource. Provide this property when you create the resource.
optional string description = 422937596;
| Returns | |
|---|---|
| Type | Description |
String |
The description. |
getDescriptionBytes()
public abstract ByteString getDescriptionBytes()An optional description of this resource. Provide this property when you create the resource.
optional string description = 422937596;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for description. |
getFingerprint()
public abstract String getFingerprint()Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a HealthAggregationPolicy. An up-to-date fingerprint must be provided in order to patch the HealthAggregationPolicy; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the HealthAggregationPolicy.
optional string fingerprint = 234678500;
| Returns | |
|---|---|
| Type | Description |
String |
The fingerprint. |
getFingerprintBytes()
public abstract ByteString getFingerprintBytes()Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a HealthAggregationPolicy. An up-to-date fingerprint must be provided in order to patch the HealthAggregationPolicy; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the HealthAggregationPolicy.
optional string fingerprint = 234678500;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for fingerprint. |
getHealthyPercentThreshold()
public abstract int getHealthyPercentThreshold()Can only be set if the policyType field isBACKEND_SERVICE_POLICY. Specifies the threshold (as a percentage) of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to 60. Must be in range [0, 100]. Not applicable if the policyType field isDNB_PUBLIC_IP_POLICY. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and minHealthyThreshold must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group.
optional uint32 healthy_percent_threshold = 72242895;
| Returns | |
|---|---|
| Type | Description |
int |
The healthyPercentThreshold. |
getId()
public abstract long getId()Output only. [Output Only] The unique identifier for the resource. This identifier is defined by the server.
optional uint64 id = 3355;
| Returns | |
|---|---|
| Type | Description |
long |
The id. |
getKind()
public abstract String getKind()Output only. [Output Only] Type of the resource. Alwayscompute#healthAggregationPolicy for health aggregation policies.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
String |
The kind. |
getKindBytes()
public abstract ByteString getKindBytes()Output only. [Output Only] Type of the resource. Alwayscompute#healthAggregationPolicy for health aggregation policies.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for kind. |
getMinHealthyThreshold()
public abstract int getMinHealthyThreshold()Can only be set if the policyType field isBACKEND_SERVICE_POLICY. Specifies the minimum number of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to 1. Must be positive. Not applicable if the policyType field isDNB_PUBLIC_IP_POLICY. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and healthyPercentThreshold must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group.
optional uint32 min_healthy_threshold = 132310940;
| Returns | |
|---|---|
| Type | Description |
int |
The minHealthyThreshold. |
getName()
public abstract String getName() Name of the resource. Provided by the client when the resource is created.
The name must be 1-63 characters long, and comply withRFC1035.
Specifically, the name must be 1-63 characters long and match the regular
expression a-z? which means the first
character must be a lowercase letter, and all following characters must
be a dash, lowercase letter, or digit, except the last character, which
cannot be a dash.
optional string name = 3373707;
| Returns | |
|---|---|
| Type | Description |
String |
The name. |
getNameBytes()
public abstract ByteString getNameBytes() Name of the resource. Provided by the client when the resource is created.
The name must be 1-63 characters long, and comply withRFC1035.
Specifically, the name must be 1-63 characters long and match the regular
expression a-z? which means the first
character must be a lowercase letter, and all following characters must
be a dash, lowercase letter, or digit, except the last character, which
cannot be a dash.
optional string name = 3373707;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for name. |
getPolicyType()
public abstract String getPolicyType()Specifies the type of the healthAggregationPolicy. The only allowed value for global resources is DNS_PUBLIC_IP_POLICY. The only allowed value for regional resources is BACKEND_SERVICE_POLICY. Must be specified when the healthAggregationPolicy is created, and cannot be mutated. Check the PolicyType enum for the list of possible values.
optional string policy_type = 18158119;
| Returns | |
|---|---|
| Type | Description |
String |
The policyType. |
getPolicyTypeBytes()
public abstract ByteString getPolicyTypeBytes()Specifies the type of the healthAggregationPolicy. The only allowed value for global resources is DNS_PUBLIC_IP_POLICY. The only allowed value for regional resources is BACKEND_SERVICE_POLICY. Must be specified when the healthAggregationPolicy is created, and cannot be mutated. Check the PolicyType enum for the list of possible values.
optional string policy_type = 18158119;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for policyType. |
getRegion()
public abstract String getRegion()Output only. [Output Only] URL of the region where the health aggregation policy resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.
optional string region = 138946292;
| Returns | |
|---|---|
| Type | Description |
String |
The region. |
getRegionBytes()
public abstract ByteString getRegionBytes()Output only. [Output Only] URL of the region where the health aggregation policy resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.
optional string region = 138946292;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for region. |
getSelfLink()
public abstract String getSelfLink()Output only. [Output Only] Server-defined URL for the resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
String |
The selfLink. |
getSelfLinkBytes()
public abstract ByteString getSelfLinkBytes()Output only. [Output Only] Server-defined URL for the resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for selfLink. |
getSelfLinkWithId()
public abstract String getSelfLinkWithId()Output only. [Output Only] Server-defined URL with id for the resource.
optional string self_link_with_id = 44520962;
| Returns | |
|---|---|
| Type | Description |
String |
The selfLinkWithId. |
getSelfLinkWithIdBytes()
public abstract ByteString getSelfLinkWithIdBytes()Output only. [Output Only] Server-defined URL with id for the resource.
optional string self_link_with_id = 44520962;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for selfLinkWithId. |
hasCreationTimestamp()
public abstract boolean hasCreationTimestamp()Output only. [Output Only] Creation timestamp inRFC3339 text format.
optional string creation_timestamp = 30525366;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the creationTimestamp field is set. |
hasDescription()
public abstract boolean hasDescription()An optional description of this resource. Provide this property when you create the resource.
optional string description = 422937596;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the description field is set. |
hasFingerprint()
public abstract boolean hasFingerprint()Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a HealthAggregationPolicy. An up-to-date fingerprint must be provided in order to patch the HealthAggregationPolicy; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the HealthAggregationPolicy.
optional string fingerprint = 234678500;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the fingerprint field is set. |
hasHealthyPercentThreshold()
public abstract boolean hasHealthyPercentThreshold()Can only be set if the policyType field isBACKEND_SERVICE_POLICY. Specifies the threshold (as a percentage) of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to 60. Must be in range [0, 100]. Not applicable if the policyType field isDNB_PUBLIC_IP_POLICY. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and minHealthyThreshold must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group.
optional uint32 healthy_percent_threshold = 72242895;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the healthyPercentThreshold field is set. |
hasId()
public abstract boolean hasId()Output only. [Output Only] The unique identifier for the resource. This identifier is defined by the server.
optional uint64 id = 3355;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the id field is set. |
hasKind()
public abstract boolean hasKind()Output only. [Output Only] Type of the resource. Alwayscompute#healthAggregationPolicy for health aggregation policies.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the kind field is set. |
hasMinHealthyThreshold()
public abstract boolean hasMinHealthyThreshold()Can only be set if the policyType field isBACKEND_SERVICE_POLICY. Specifies the minimum number of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to 1. Must be positive. Not applicable if the policyType field isDNB_PUBLIC_IP_POLICY. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and healthyPercentThreshold must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group.
optional uint32 min_healthy_threshold = 132310940;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the minHealthyThreshold field is set. |
hasName()
public abstract boolean hasName() Name of the resource. Provided by the client when the resource is created.
The name must be 1-63 characters long, and comply withRFC1035.
Specifically, the name must be 1-63 characters long and match the regular
expression a-z? which means the first
character must be a lowercase letter, and all following characters must
be a dash, lowercase letter, or digit, except the last character, which
cannot be a dash.
optional string name = 3373707;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the name field is set. |
hasPolicyType()
public abstract boolean hasPolicyType()Specifies the type of the healthAggregationPolicy. The only allowed value for global resources is DNS_PUBLIC_IP_POLICY. The only allowed value for regional resources is BACKEND_SERVICE_POLICY. Must be specified when the healthAggregationPolicy is created, and cannot be mutated. Check the PolicyType enum for the list of possible values.
optional string policy_type = 18158119;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the policyType field is set. |
hasRegion()
public abstract boolean hasRegion()Output only. [Output Only] URL of the region where the health aggregation policy resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.
optional string region = 138946292;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the region field is set. |
hasSelfLink()
public abstract boolean hasSelfLink()Output only. [Output Only] Server-defined URL for the resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the selfLink field is set. |
hasSelfLinkWithId()
public abstract boolean hasSelfLinkWithId()Output only. [Output Only] Server-defined URL with id for the resource.
optional string self_link_with_id = 44520962;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the selfLinkWithId field is set. |